Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Delete an environment

Deletes an environment, with its variables and secrets. This cannot be undone.

DELETE/project/{project_id}/environment/{environment_id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
project_iduuidrequired

The unique identifier for the project

environment_iduuidrequired

The unique identifier of the environment

Responses
204

Environment deleted successfully

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X DELETE 'https://api.kapten.io/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
Environment deleted successfully

Was this page helpful?